import React, { useState, useEffect } from 'react';
import styles from './index.less';
import { history } from 'umi';
const tabs = [
  {
    path: '/about/insert',
    name: '走进南高',
    component: '@/pages/index',
  },
  {
    path: '/about/honer',
    name: '南高荣誉',
    component: '@/pages/index',
  },
  {
    path: '/about/news',
    name: '南高资讯',
    component: '@/pages/index',
  },
  {
    path: '/about/join',
    name: '加入南高',
    component: '@/pages/index',
  },
  {
    path: '/about/contact',
    name: '联系我们',
    component: '@/pages/index',
  },
];

function About({ location: { pathname }, children }) {
  return (
    <>
      <div className={styles.aboutheader}>
        <img
          src={require('@/assets/back.jpg')}
          alt=""
          style={{ width: '100%' }}
        />
        <div className={styles.menucontent}>
          {tabs.map((it, i) => {
            return (
              <div
                key={it.path}
                onClick={() => {
                  history.push(it.path);
                }}
              >
                <div
                  className="img"
                  style={{
                    backgroundImage:
                      pathname == it.path
                        ? `url(${require(`@/assets/tabicon/${i + 1}s.png`)})`
                        : `url(${require(`@/assets/tabicon/${i + 1}.png`)})`,
                    transform: pathname == it.path ? `scale(1.3)` : `scale(1)`,
                    backgroundSize:
                      pathname == it.path ? '50% auto' : '40% auto',
                    marginTop: pathname == it.path ? '-1rem' : 0,
                    transformOrigin: 'center',
                    transition: 'all 0.4s',
                  }}
                ></div>
                <p
                  style={{
                    color: '#000000',
                    fontWeight: pathname == it.path ? 'bold' : 'normal',
                    marginTop: pathname == it.path ? '1rem' : 0,
                    fontSize: pathname == it.path ? '0.8rem' : '0.6rem',
                    transition: 'all 0.4s',
                  }}
                >
                  {it.name}
                </p>
              </div>
            );
          })}
        </div>
      </div>
      {children}
    </>
  );
}

export default About;
